UI::Util::PosixRegex::Match Class Reference

Helper class representing match data. More...

`#include <PosixRegex.hpp>`

Collaboration diagram for UI::Util::PosixRegex::Match:

## Data Fields

bool | matches
unsigned | begin
unsigned | end

## Detailed Description

Helper class representing match data.

## Field Documentation

## begin

unsigned UI::Util::PosixRegex::Match::begin

If yes: where it begins

Referenced by UI::Util::PosixRegex::runMatch().

## end

unsigned UI::Util::PosixRegex::Match::end

If yes: where it ends

Referenced by UI::Util::PosixRegex::runMatch().

## matches

bool UI::Util::PosixRegex::Match::matches

Do we have a match?

Referenced by UI::Util::PosixRegex::run(), and UI::Util::PosixRegex::runMatch().

The documentation for this class was generated from the following file:

- PosixRegex.hpp